mpich (5.0.1-8) unstable; urgency=medium

  * Insist on gfortran-16 in d/control for transition

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Aug 2026 11:25:12 +0100

mpich (5.0.1-7) unstable; urgency=medium

  * Drop pmix because of version conflict

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 13 Aug 2026 14:26:58 +0100

mpich (5.0.1-6) unstable; urgency=medium

  * Reinclude pmix, but not for powerpc. Closes: #1134834
  * Depend on gcc-16, gfortran-16 for autopkgtests.
    Closes: #1143782, #1143797
  * Add optional symbols to libmpich12. Closes: #1143761

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 07 Aug 2026 09:46:26 +0100

mpich (5.0.1-5) unstable; urgency=medium

  * Do a source-only build

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 23 Jun 2026 12:05:01 +0100

mpich (5.0.1-4) unstable; urgency=medium

  * Update libmpich12.symbols for optional HIP syms, mpi_abi
  * Standards-Version: 4.7.4
  * Debhelper now at compat 14

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 22 Jun 2026 11:50:49 +0100

mpich (5.0.1-3) unstable; urgency=medium

  * Drop libpmix for now.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 02 Jun 2026 16:07:58 +0100

mpich (5.0.1-2) unstable; urgency=medium

  * Fix symlinks that break install. Closes: #1133432

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 13 Apr 2026 09:13:45 +0100

mpich (5.0.1-1) unstable; urgency=medium

  * New upstream release
  * Build-dep on libpmix, libze-dev on applicable archs
  * symlinks, sover now 12.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 12 Apr 2026 16:26:36 +0100

mpich (5.0.1~rc2-1) experimental; urgency=medium

  * New upstream release
  * Ensure mpi*_abi point to mpicc.mpich, etc:

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 02 Apr 2026 06:14:14 +0100

mpich (5.0.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 16 Mar 2026 08:10:19 +0000

mpich (5.0.0-2) experimental; urgency=medium

  * dh_fixperms: don't fail on build-indep
  * Enable MPI ABI
  * Enable UCC support
  * d/gbp.conf: pristine-tar=True

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 02 Mar 2026 20:26:27 +0000

mpich (5.0.0-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 08 Feb 2026 09:47:08 +0000

mpich (5.0.0~rc3-1) experimental; urgency=medium

  * New upstream release
  * Close old bug, we ship man pages. Closes: #987716
  * Close old bug: OpenMosix no longer exists. Closes: #301553

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 31 Jan 2026 10:48:01 +0000

mpich (5.0.0~rc1-1) experimental; urgency=medium

  * New upstream release
  * Enable HIP
  * d/copyright: yaksa files now merged, removed
  * Don't ship duplicate CHANGES
  * Drop obsolete patch undefined-type-gpu.patch
  * Add libmpich12.lintian-overrides to ignore symbol errors in dev
    release
  * Use pre-computed DEB_HOST_MULTIARCH
  * Drop dh_dwz; handled by dh_fortran
  * Standards-Version: 4.7.3
  * Drop Priority: optional from source in d/control per new policy
  * chrpath to remove paths

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Dec 2025 07:31:41 +0000

mpich (5.0.0~b1-1) experimental; urgency=medium

  * New upstream release
  * Now includes docs
  * For test releases sover = 0.0.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Nov 2025 12:02:14 +0000

mpich (4.3.2-2) unstable; urgency=medium

  * Switch mpis64el to ch3, Closes: #1102920
  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Nov 2025 13:56:25 +0000

mpich (4.3.2-1) experimental; urgency=medium

  * New upstream release
  * Re-enable pmix
  * SOVERSION now 12.5.2 in links
  * disable-ext-modules-in-autogen.patch: fix for autogen changes
  * No man pages this release?

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 28 Oct 2025 12:21:43 +0000

mpich (4.3.1-3) unstable; urgency=medium

  * Disable pmix - breaks with pmix 6.0.0, ditto hip
  * Close old bug: Closes: #1042412

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 25 Aug 2025 10:29:18 +0100

mpich (4.3.1-2) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 13 Aug 2025 16:27:27 +0100

mpich (4.3.1-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2
  * Include /etc/mpich/mpixxx_opts.conf in -dev
  * Drop obsolete lintian override
  * SOVERSION now 12.5.1 in links

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 25 Jul 2025 13:45:19 +0100

mpich (4.3.0-2) experimental; urgency=medium

  * Mark HIP symbols as optional in libmpich12.symbols
  * Add Pmix support on 64-bit systems

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 19 Feb 2025 10:08:24 +0000

mpich (4.3.0-1) experimental; urgency=medium

  * New upstream release
  * Enable hip

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 09 Feb 2025 10:14:50 +0000

mpich (4.3.0~rc4-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 25 Jan 2025 16:13:39 +0000

mpich (4.3.0~rc3-1) experimental; urgency=medium

  * New upstream release
  * d/rules: run autoconf in src/mpl needed to cope with new
    --runstatedir parameter

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 20 Jan 2025 11:11:16 +0000

mpich (4.3.0~rc2-1) experimental; urgency=medium

  * New upstream release
  * library version numbers now 12.4.2
  * Add patch that was accidentally dropped:
     Add Deps to libmpich-dev needed for pkg-config. Closes: #1028172
  * Drop ppc64el ucx dependency; add riscv64. UCX doesn't have ppc64el support
    which makes it a blocker
  * Don't call dh_dwz: dwz crashes
  * Now B-D on libamdhip64-dev and hipcc

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 05 Jan 2025 12:55:17 +0000

mpich (4.3.0~rc1-1) experimental; urgency=medium

  * New upstream release

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 26 Dec 2024 07:02:31 +0000

mpich (4.3.0~b1-1) experimental; urgency=medium

  * New upstream release
    - Set soversion links to 0.0.0 for non-release version of lib
  * Now add B-D on libamdhip64-dev, hipcc
  * Override dh_dwz as it breaks
  * Patch for hipamd64:
      * undefined-type-gpu.patch
  * Add patch that was accidentally dropped:
     Add Deps to libmpich-dev needed for pkg-config. Closes: #1028172
  * Drop ppc64el ucx dependency; add riscv64. UCX doesn't have ppc64el support
    which makes it a blocker

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 23 Dec 2024 08:53:13 +0000

mpich (4.2.2-1) experimental; urgency=medium

  * New upstream release
  * library versions now 12.4.2

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 25 Jul 2024 13:55:21 +0100

mpich (4.2.1-3) experimental; urgency=medium

  * Merge changes from 4.2.0-14.
  * Do not allow alternatives to B-D: gfortran. The build system does not
    check for flang.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Sep 2024 21:18:40 +0200

mpich (4.2.1-2) experimental; urgency=medium

  * Team upload.
  * Merge changes from 4.2.0-6.
  * Enable all hardening flags.
  * Use the symbols file for all architectures.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 30 May 2024 13:15:50 +0200

mpich (4.2.1-1) experimental; urgency=medium

  * New upstream release
  * pmix now only supports 64-bit archs; build with pmix on 64-bit only
  * Standards-Version: 4.7.0; no changes required
  * Update links; minor version now 12.4.1
  * libmpl.so, libopa.so now point to libmpich.so
  * Drop patch merged upstream

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 01 May 2024 14:07:14 +0100

mpich (4.2.0-14) unstable; urgency=medium

  * Team upload.
  * d/rules: Parse list of UCX architectures from Build-Depends.
  * libmpich-dev: Generate the libucx-dev dependency.
  * Drop unused Build-Depends: libpmix-dev.
  * Refresh ./COPYRIGHT embedded in d/copyright.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 10 Sep 2024 00:06:07 +0200

mpich (4.2.0-13) unstable; urgency=medium

  * Team upload.
  * Bump required libslurm-dev version.
  * Add upstream metadata.
  * Switch s390x back to ch3 to avoid eztrace autopkgtest failures.
  * Mark symbols disappearing with LTO as optional.  (Closes: #1079142)
  * Provide mpic++.mpich symlink.  (Closes: #1077247)
  * Drop rpath workarounds, no longer needed.
  * Simplify d/rules.
  * Drop missing-conf.patch, no longer needed.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 08 Sep 2024 21:46:09 +0200

mpich (4.2.0-12) unstable; urgency=medium

  * Team upload.
  * Re-enable ucx on ppc64el.
  * Switch s390x to ch4:ofi.
  * Drop --with-atomic-primitives=no logic, option gone since 3.4.
  * Switch B-D to valgrind-if-available to avoid hardcoding the arch list.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 25 Aug 2024 00:32:48 +0200

mpich (4.2.0-11) unstable; urgency=medium

  * Team upload.
  * d/control, d/rules: Sync architecture constraints.
  * Simplify the device selection logic.
  * Switch mips64el to ch4:ofi.
  * Simplify the --with-atomic-primitives=no logic.
  * Enable all hardening flags.
  * Use the symbols file for all architectures.
  * Update symbols file.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 23 Aug 2024 04:39:59 +0200

mpich (4.2.0-10) unstable; urgency=medium

  * Fix FTBFS on amd64 due to symbols. Patch thanks to Gianfranco Costamagna
    Closes: #1075292
  * Drop unnset Depends from d/control
  * Standards-Version: 4.7.0

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 19 Aug 2024 07:50:53 +0100

mpich (4.2.0-9) unstable; urgency=medium

  * Update d/rules to exclude ppc64el for now; add loong64 support

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Jul 2024 08:43:53 +0100

mpich (4.2.0-8) unstable; urgency=medium

  * libucx-dev deps needs to be conditional. Drop ppc64el for now, add riscv64
    Closes: #1075965

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Jul 2024 15:16:50 +0100

mpich (4.2.0-7) unstable; urgency=medium

  * Add patch that was accidentally dropped:
     Add Deps to libmpich-dev needed for pkg-config. Closes: #1028172

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 08 Jul 2024 11:43:54 +0100

mpich (4.2.0-6) unstable; urgency=medium

  * Team upload.
  * Run autogen.sh via dh_autoreconf.
  * Fix building twice in a row.  (Closes: #1047086)
  * Fix inverted logic when enabling features.
  * Fix non-verbose build.
  * Declare Rules-Requires-Root: no.
  * Fix symbols file for amd64.
  * libmpich-dev: Only ship .so links for libraries built from this source.
  * libmpich-dev.preinst: Perform cleanup on upgrades from versions missing
    dir_to_symlink/symlink_to_dir for the include directory.
  * libmpich-dev: Perform dir/symlink direction change for the include
    directory.  (Closes: #1071115)
  * Reproducibility: Strip -ffile-prefix-map from macros and shipped files.
  * mpich-doc: Drop unusable build system artefacts from examples.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 27 May 2024 00:33:02 +0200

mpich (4.2.0-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rules: Re-disable pmix: Closes: #1066735 (LP: #2072338)

 -- Samuel Thibault <sthibault@debian.org>  Tue, 26 Mar 2024 22:40:26 +0100

mpich (4.2.0-5) unstable; urgency=medium

  * Install mod files in include dir until all deps updated

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Feb 2024 08:59:43 +0000

mpich (4.2.0-4) unstable; urgency=medium

  * Fix for ppc64 detection: Closes: #1032008
  * Put default install of *mod files in d/not-installed.Closes: #1064841

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Feb 2024 14:43:24 +0000

mpich (4.2.0-3) unstable; urgency=medium

  * Push to unstable

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 26 Feb 2024 13:02:02 +0000

mpich (4.2.0-2) experimental; urgency=medium

  * Fix install locations

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 18 Feb 2024 13:34:24 +0000

mpich (4.2.0-1) experimental; urgency=medium

  * New upstream release
  * Build-conflicts libamdhip64-dev until hipcc detection code is fixed
  * Expand list of supported valgrind archs
  * Drop obsolete libmpl* install file
  * Install path fixes
  * Add fortran:Depends to libmpich-dev
  * Drop duperflous patterns in d/copyright

  * Change main install point to LIBDIR/mpich/{include,lib} to match
    openmpi, etc
  * Add perl depends to mpich pkg for parkill
  * Close obsolete bugs: Closes: #512142
  * Update hurd configuration. Closes: #1055455
  * Delete obsolete d/control package handling, libopa/libmpl files
  * Simplify postinst/prerm removing obsolete code
  * Drop autotools.patch, no-real128.patch - not used
  * Update autogen bash patch

  * Fix findstring->filter in arch checks in d/rules. Closes: #1054035
  * Re-enable pmix
  * Close obsolete bugs: Closes: #446883, #573449, #581172, #512142

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 12 Feb 2024 12:43:13 +0000

mpich (4.1.2-3) unstable; urgency=medium

  * Team upload
  * debian/patches/7a28682a805acfe84a4ea7b41cea079696407398.patch:
    - upstream build fix (Closes: #1063833)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 13 Feb 2024 10:41:59 +0100

mpich (4.1.2-2+hurd.1) unreleased; urgency=medium

  * Fix configure flags.

 -- Samuel Thibault <sthibault@debian.org>  Sun, 05 Nov 2023 21:05:47 +0000

mpich (4.1.2-2) unstable; urgency=medium

  * Team upload
  * Drop kfreebsd
  * d/control: Drop unused B-D quilt
  * Add Deps to libmpich-dev needed for pkg-config (Closes: #1028172)

 -- Bastian Germann <bage@debian.org>  Sat, 16 Sep 2023 21:29:42 +0200

mpich (4.1.2-1) unstable; urgency=medium

  * New upstream release
  * Fix watch file to avoid testsuite package

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 06 Sep 2023 14:46:56 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog mpich-doc`.
